Package org.eclipse.e4.ui.workbench

## Interface UIEvents.PartDescriptor

Enclosing class:
  UIEvents

    public static interface UIEvents.PartDescriptor

### Field Summary

Fields
`static String` `ALLOWMULTIPLE`
`static String` `CATEGORY`
`static String` `CLOSEABLE`
`static String` `CONTRIBUTIONURI`
`static String` `DESCRIPTION`
`static String` `DIRTYABLE` Deprecated.
`static String` `LOCALIZED_DESCRIPTION`
`static String` `MENUS`
`static String` `TOOLBAR`
`static String` `TOPIC` Deprecated.
`static String` `TOPIC_ALL`
`static String` `TOPIC_ALLOWMULTIPLE`
`static String` `TOPIC_CATEGORY`
`static String` `TOPIC_CLOSEABLE`
`static String` `TOPIC_CONTRIBUTIONURI`
`static String` `TOPIC_DESCRIPTION`
`static String` `TOPIC_DIRTYABLE` Deprecated.
`static String` `TOPIC_LOCALIZED_DESCRIPTION`
`static String` `TOPIC_MENUS`
`static String` `TOPIC_TOOLBAR`

### Field Detail

#### TOPIC

    @Deprecated
    static final String TOPIC

Deprecated.

See Also:
  Constant Field Values

#### TOPIC_ALL

    static final String TOPIC_ALL

See Also:
  Constant Field Values

#### TOPIC_ALLOWMULTIPLE

    static final String TOPIC_ALLOWMULTIPLE

See Also:
  Constant Field Values

#### TOPIC_CATEGORY

    static final String TOPIC_CATEGORY

See Also:
  Constant Field Values

#### TOPIC_CLOSEABLE

    static final String TOPIC_CLOSEABLE

See Also:
  Constant Field Values

#### TOPIC_CONTRIBUTIONURI

    static final String TOPIC_CONTRIBUTIONURI

See Also:
  Constant Field Values

#### TOPIC_DESCRIPTION

    static final String TOPIC_DESCRIPTION

See Also:
  Constant Field Values

#### TOPIC_DIRTYABLE

    @Deprecated
    static final String TOPIC_DIRTYABLE

Deprecated.

See Also:
  Bug 530887, Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

#### TOPIC_MENUS

    static final String TOPIC_MENUS

See Also:
  Constant Field Values

#### TOPIC_TOOLBAR

    static final String TOPIC_TOOLBAR

See Also:
  Constant Field Values

#### TOPIC_LOCALIZED_DESCRIPTION

    static final String TOPIC_LOCALIZED_DESCRIPTION

Since:
  1.1
See Also:
  Constant Field Values

#### ALLOWMULTIPLE

    static final String ALLOWMULTIPLE

See Also:
  Constant Field Values

#### CATEGORY

    static final String CATEGORY

See Also:
  Constant Field Values

#### CLOSEABLE

    static final String CLOSEABLE

See Also:
  Constant Field Values

#### CONTRIBUTIONURI

    static final String CONTRIBUTIONURI

See Also:
  Constant Field Values

#### DESCRIPTION

    static final String DESCRIPTION

See Also:
  Constant Field Values

#### DIRTYABLE

    @Deprecated
    static final String DIRTYABLE

Deprecated.

See Also:
  Bug 530887, Constant Field Values
Restriction:
  This field is not intended to be referenced by clients.

#### MENUS

    static final String MENUS

See Also:
  Constant Field Values

#### TOOLBAR

    static final String TOOLBAR

See Also:
  Constant Field Values

#### LOCALIZED_DESCRIPTION

    static final String LOCALIZED_DESCRIPTION

Since:
  1.1
See Also:
  Constant Field Values